#include "OgreMaterial.h"

OgreMaterial::OgreMaterial(void)
{
	hasAmbient = false;
	ambient = NULL;
	hasDiffuse = false;
	diffuse = NULL;
	hasEmissive = false;
	emissive = NULL;
	hasSpecular = false;
	specular = NULL;
	hasTexture = false;
	exponent = 0.0f;
}

OgreMaterial::~OgreMaterial(void)
{
	delete ambient;
	delete diffuse;
	delete emissive;
	delete specular;
}
